RCU_BARRIER(9)

NAME
rcu_barrier - Wait until all in-flight call_rcu callbacks complete.

SYNOPSIS

void rcu_barrier(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Note that this primitive does not necessarily wait for an RCU grace period to complete. For example, if there are no RCU callbacks queued anywhere in the system, then rcu_barrier is within its rights to return immediately, without waiting for anything, much less an RCU grace period.

COPYRIGHT